%define version 1.3.16
%define release 0.20030730.3mdk

%define req_gimp_version 1.3.20

%define pkgname gimp-gap

Summary:	GAP (GIMP Animation Package), a video plug-in for GIMP
Name:		gimp2-gap
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://wolfganghofer.tripod.com/gap/gap.html
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{pkgname}-2003-07-30.tar.bz2

BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	intltool >= 0.17
BuildRequires:	glib-gettextize
BuildRequires:	libgimp1.3-devel >= %{req_gimp_version}

Requires:	gimp1_3 >= %{req_gimp_version}

%description
The GIMP has some Plug-In's suppoting Animation Features, based on Layers
where each Layer of the Image is considered as one frame of the Animation.

GAP is a collection of Plug-Ins that extends the GIMP's animation
capabilities by supporting the creation of more complex animations.
It has been part of the GIMP from 1.1.4 to 1.2 series, but has been splitted
afterwards.

Additional Informations about the GAP can be found in the GimpUserManual
Chapter Advanced Animation.


%prep
%setup -q -n %{pkgname}
./autogen.sh && rm -f config.cache

%build
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%define gettext_package gimp20-gap
%{find_lang} %{gettext_package}

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog* README
%{_libdir}/gimp/1.3/plug-ins/*
%{_datadir}/gimp/1.3/scripts/*

%changelog
* Wed Sep 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.16-0.20030730.3mdk
- fix required version of gimp
- rebuild

* Tue Aug 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.16-0.20030730.2mdk
- new gimp

* Tue Aug 05 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-0.20030730.1mdk
- First Mandrake spec
- So called mpeg support does nothing at all, so don't need it
